##
##  pmk.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pmk
Summary:      Pre Make Kit
URL:          http://pmk.sourceforge.net/
Vendor:       Damien Couderc et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Building
License:      BSD
Version:      0.10.4
Release:      20080325

#   list of sources
Source0:      http://download.sourceforge.net/pmk/pmk-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    PMK (Pre Make Kit) is a dependency configuring tool. It aims to
    be considered as an alternative to GNU autoconf, GNU libtool and
    pkg-config. The goals are to use a data file instead of a shell
    script, to try to keep the needed dependencies near from zero, to
    make it easy to use for users and developers, to provide the package
    in a free and usable license for everybody (BSD) and to limit the
    changes in sources for a transition from GNU autoconf.

%track
    prog pmk = {
        version   = %{version}
        url       = http://sourceforge.net/projects/pmk/files/
        regex     = pmk-(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    PREFIX="%{l_prefix}" \
    SYSCONFDIR="%{l_prefix}/etc" \
    ./pmkcfg.sh
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/pmk
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std}

%files -f files

%clean

%post
    $RPM_INSTALL_PREFIX/bin/pmksetup >/dev/null 2>&1

%preun
    [ $1 -eq 0 ] || exit 0
    rm -f $RPM_INSTALL_PREFIX/etc/pmk/pmk.conf

